---
title: "Gets Credit Note Item by id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-creditnotes-id-creditnoteitems-item_id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets Credit Note Item by id

`GET` `/creditnotes/{id}/creditnoteitems/{item_id}`

Operation ID: `get-creditnotes-id-creditnoteitems-item_id`

Gets Credit Note Item by id

## Path parameters

- `id` (integer, int32, required) - Credit Note id
- `item_id` (integer, int32, required) - Credit Note Item id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Credit Note
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Credit Note Item not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /creditnotes/{id}/creditnoteitems/{item_id}:
    get:
      tags:
        - creditnotes
      summary: Gets Credit Note Item by id
      description: Gets Credit Note Item by id
      operationId: get-creditnotes-id-creditnoteitems-item_id
      parameters:
        - name: id
          in: path
          description: Credit Note id
          required: true
          schema:
            type: integer
            description: Credit Note id
            format: int32
            example: 1
        - name: item_id
          in: path
          description: Credit Note Item id
          required: true
          schema:
            type: integer
            description: Credit Note Item id
            format: int32
            example: 1
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Credit Note
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/CreditNoteItem"
              example:
                id: 0
                credit_note_id: 0
                supplier_return_item_id: 0
                product:
                  id: 0
                  supplier_sku: string
                  manufacturer_sku: string
                  supplier_sku2: string
                  short_description: string
                  size:
                    id: 0
                    name: string
                    list_order: 0
                  colour:
                    id: 0
                    name: string
                    list_order: 0
                  modified_on: string
                credit_quantity: 0
                credit_amount_ex: 0
                total_credit_amount_ex: 0
                applied_credit_quantity: 0
                applied_credit_tax: 0
                applied_credit_amount_inc: 0
                applied_credit_amount_ex: 0
                total_applied_credit_amount_ex: 0
                total_credit_amount_inc: 0
                total_credit_amount_tax: 0
                total_applied_credit_amount_inc: 0
                total_applied_credit_tax: 0
                created_on: string
                modified_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Credit Note Item not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    CreditNoteItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note Item id
          format: int32
          nullable: true
        credit_note_id:
          type: integer
          description: Credit Note id
          format: int32
        supplier_return_item_id:
          type: integer
          description: Supplier Return Item id
          format: int32
          nullable: true
        product:
          $ref: "#/components/schemas/CreditNoteProduct"
        credit_quantity:
          type: integer
          description: Credit Quantity
          format: int32
          nullable: true
        credit_amount_ex:
          type: number
          description: Credit Amount Ex
          format: double
          nullable: true
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
          nullable: true
        applied_credit_quantity:
          type: integer
          description: Applied Credit Quantity
          format: int32
          nullable: true
        applied_credit_tax:
          type: number
          description: Applied Credit Tax
          format: double
          nullable: true
        applied_credit_amount_inc:
          type: number
          description: Applied Credit Amount Inc
          format: double
          nullable: true
        applied_credit_amount_ex:
          type: number
          description: Applied Credit Amount Ex
          format: double
          nullable: true
        total_applied_credit_amount_ex:
          type: number
          description: Total Applied Credit Amount Ex
          format: double
          nullable: true
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
          nullable: true
        total_credit_amount_tax:
          type: number
          description: Total Credit Amount Tax
          format: double
          nullable: true
        total_applied_credit_amount_inc:
          type: number
          description: Total Applied Credit Amount Inc
          format: double
          nullable: true
        total_applied_credit_tax:
          type: number
          description: Total Applied Credit Tax
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Credit Note model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    CreditNoteProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product id
          format: int32
          nullable: true
        supplier_sku:
          type: string
          description: Supplier SKU
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacturer SKU
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU 2
          nullable: true
        short_description:
          type: string
          description: Short Description
          nullable: true
        size:
          $ref: "#/components/schemas/AttributeValueLimited"
        colour:
          $ref: "#/components/schemas/AttributeValueLimited"
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product model for Credit Notes
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    AttributeValueLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
      additionalProperties: false
```
